Package org.apache.uima.jcas.cas

# Class FSLinkedHashSet<T extends TOP>

java.lang.Object
org.apache.uima.cas.impl.FeatureStructureImplC
org.apache.uima.jcas.cas.TOP
org.apache.uima.jcas.cas.FSHashSet<T>
org.apache.uima.jcas.cas.FSLinkedHashSet<T>

All Implemented Interfaces:
  `Cloneable`, `Iterable<T>`, `Collection<T>`, `RandomAccess`, `Set<T>`, `FeatureStructure`, `FeatureStructureImpl`, `SelectViaCopyToArray`, `UimaSerializable`, `UimaSerializableFSs`

public class FSLinkedHashSet<T extends TOP> extends FSHashSet<T>
a hash set of Feature Structures Is Pear aware - stores non-pear versions but may return pear version in pear contexts Updated by JCasGen Fri Jan 20 11:55:59 EST 2017 XML source: C:/au/svnCheckouts/branches/uimaj/v3-alpha/uimaj-types/src/main/descriptors/java_object_type_descriptors.xml

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `FeatureStructureImplC.PrintReferences`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `_TypeName`
  `static final int`
  `type`
  `static final int`
  `typeIndexID`

  ### Fields inherited from class org.apache.uima.jcas.cas.FSHashSet

  `_FeatName_fsArray`

  ### Fields inherited from class org.apache.uima.jcas.cas.TOP

  `_singleton`

  ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FSLinkedHashSet()`
  Never called.
  ``
  `FSLinkedHashSet(TypeImpl type, CASImpl casImpl)`
  Internal - constructor used by generator
  ``
  `FSLinkedHashSet(JCas jcas)`
  ``
  `FSLinkedHashSet(JCas jcas, int length)`
  Make a new FSLinkedHashSet with an initial size .

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getTypeIndexID()`

  ### Methods inherited from class org.apache.uima.jcas.cas.FSHashSet

  `_init_from_cas_data, _save_to_cas_data, _superClone, _toArrayForSelect, add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray, toString`

  ### Methods inherited from class org.apache.uima.jcas.cas.TOP

  `_createJCasHashMapReserve, _createSearchKey`

  ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, wrapGetIntCatchException`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

  `getJCas`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface org.apache.uima.jcas.cas.SelectViaCopyToArray

  `_getView, select, select, select, select, select`

  ### Methods inherited from interface org.apache.uima.UimaSerializable

  `_reset_cas_data, clone`

  ### Methods inherited from interface org.apache.uima.UimaSerializableFSs

  `_save_fsRefs_to_cas_data`

- ## Field Details

  - ### _TypeName

    public static final String _TypeName
    See Also:
      - Constant Field Values

  - ### typeIndexID

    public static final int typeIndexID

  - ### type

    public static final int type

- ## Constructor Details

  - ### FSLinkedHashSet

    protected FSLinkedHashSet()
    Never called. Disable default constructor

  - ### FSLinkedHashSet

    public FSLinkedHashSet(TypeImpl type, CASImpl casImpl)
    Internal - constructor used by generator
    Parameters:
      `casImpl` - the CAS this Feature Structure belongs to
      `type` - the type of this Feature Structure

  - ### FSLinkedHashSet

    public FSLinkedHashSet(JCas jcas)
    Parameters:
      `jcas` - JCas to which this Feature Structure belongs

  - ### FSLinkedHashSet

    public FSLinkedHashSet(JCas jcas, int length)
    Make a new FSLinkedHashSet with an initial size .
    Parameters:
      `jcas` - The JCas
      `length` - initial size

- ## Method Details

  - ### getTypeIndexID

    public int getTypeIndexID()
    Overrides:
      `getTypeIndexID` in class `FSHashSet<T extends TOP>`
    Returns:
      index of the type